io.undertow.util

## Class StringReadChannelListener

- java.lang.Object
- - io.undertow.util.StringReadChannelListener

All Implemented Interfaces:
  EventListener, org.xnio.ChannelListener<org.xnio.channels.StreamSourceChannel>

    public abstract class StringReadChannelListener
    extends Object
    implements org.xnio.ChannelListener<org.xnio.channels.StreamSourceChannel>

Simple utility class for reading a string

todo: handle unicode properly

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`org.xnio.ChannelListener.Setter<T extends Channel>, org.xnio.ChannelListener.SimpleSetter<T extends Channel>`

### Constructor Summary

Constructors
Constructor and Description
`StringReadChannelListener(ByteBufferPool bufferPool)`
`StringReadChannelListener(org.xnio.Pool<ByteBuffer> bufferPool)` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract void` `error(IOException e)`
`void` `handleEvent(org.xnio.channels.StreamSourceChannel channel)`
`void` `setup(org.xnio.channels.StreamSourceChannel channel)`
`protected abstract void` `stringDone(String string)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringReadChannelListener

    public StringReadChannelListener(ByteBufferPool bufferPool)

#### StringReadChannelListener

    @Deprecated
    public StringReadChannelListener(org.xnio.Pool<ByteBuffer> bufferPool)

Deprecated.

### Method Detail

#### setup

    public void setup(org.xnio.channels.StreamSourceChannel channel)

#### handleEvent

    public void handleEvent(org.xnio.channels.StreamSourceChannel channel)

Specified by:
  `handleEvent` in interface `org.xnio.ChannelListener<org.xnio.channels.StreamSourceChannel>`

#### stringDone

    protected abstract void stringDone(String string)

#### error

    protected abstract void error(IOException e)